%define name kmenc15
%define version 0.04
%define release %mkrel 2
%define __libtoolize /bin/true
%define __cputoolize /bin/true


Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Advanced KDE MEncoder frontend
License:   GPL
URL:       http://kmenc15.sourceforge.net/
Group:	   Video
Source:    http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
Requires: mencoder >= 1.0-0.pre7 

%description
Kmenc15 is an advanced Qt/KDE MEncoder frontend, 
generally designed to be a VirtualDub replacement for Linux. 
It is most useful for editing and encoding large high quality 
AVIs capped from TV. It allows cutting and merging at exact frames, 
applying any MPlayer/MEncoder filter, with preview.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

chmod 644 README
chmod 644 AUTHORS
chmod 644 COPYING

%build

%make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

#menus
install -d %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
                  icon=%{name}.png \
                  needs="x11" \
                  section="Multimedia/Video" \
                  title="Kmenc15"\
                  longtitle="%{summary}"
EOF

install -m644 %{SOURCE10} -D %buildroot/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %buildroot/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot/%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING README
%attr(0755,root,root) %{_bindir}/%{name}
%_menudir/%{name}
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png




%changelog
* Sat May 28 2005 Sebastien Savarin <plouf@mandriva.org> 0.04-2mdk
- Rebuild for new gcc
- Use %mkrel


* Mon Apr 18 2005 Sebastien Savarin <plouf@mandiva.org> 0.04-1mdk
 -First Mandriva Linux release
